<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
GetBomLayouts2 Method (IEdmBomMgr2)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmBomMgr2 Interface : GetBomLayouts2 Method (IEdmBomMgr2)

Visual Basic
C#
C++/CLI

ppoRetLayouts
  Array of EdmBomLayout2 structures; one structure for each BOM layout

Gets all of the BOM layouts installed in a vault.

# Syntax

Visual Basic |
--- | ---

    Sub GetBomLayouts2( _
       ByRef ppoRetLayouts() As EdmBomLayout2 _
    )

C# |
--- | ---

    void GetBomLayouts2(
       out EdmBomLayout2[] ppoRetLayouts
    )

C++/CLI |
--- | ---

    void GetBomLayouts2(
    &   [Out] array<EdmBomLayout2>^ ppoRetLayouts
    )

#### Parameters

ppoRetLayouts
  Array of EdmBomLayout2 structures; one structure for each BOM layout

# Example

See the IEdmBomMgr2 examples.

# Remarks

Return codes:

- S_OK: The method successfully executed.
- S_FALSE: One of the arguments is invalid.

# See Also

####

IEdmBomMgr2 Interface
IEdmBomMgr2 Members

# Availability

SOLIDWORKS PDM Professional 2020